#
# Copyright (c) 2013-2022 Wind River Systems, Inc.
#
# SPDX-License-Identifier: Apache-2.0
#

from django.utils.translation import ugettext_lazy as _

import horizon

from openstack_dashboard.api import base
from openstack_dashboard.dashboards.admin import dashboard


class SystemConfig(horizon.Panel):
    name = _("System Configuration")
    slug = "system_config"
    permissions = ('openstack.services.platform', 'openstack.roles.reader')

    def allowed(self, context):
        if not base.is_service_enabled(context['request'], 'platform'):
            return False
        else:
            return super(SystemConfig, self).allowed(context)

    def nav(self, context):
        if not base.is_service_enabled(context['request'], 'platform'):
            return False
        else:
            return True


dashboard.Admin.register(SystemConfig)
